Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Reactive_Task Class Reference

A reactive worker task. Simply executes the command in the caller's context. More...

`#include <Reactive_Task.h>`

Inheritance diagram for TAO_Notify_Reactive_Task:

[legend]
Collaboration diagram for TAO_Notify_Reactive_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Reactive_Task (void)
| Constuctor.
| ~TAO_Notify_Reactive_Task ()
| Destructor.
virtual void | release (void)
| Release.
void | init (TAO_Notify_AdminProperties_var &admin_properties ACE_ENV_ARG_DECL)
| Init the reactive task.
virtual void | shutdown (void)
| Shutdown task.
virtual void | execute (TAO_Notify_Method_Request_No_Copy &method_request ACE_ENV_ARG_DECL)
| Exec the request.
virtual TAO_Notify_Timer * | timer (void)
| The object used by clients to register timers. This method returns a Reactor based Timer.
virtual TAO_Notify_Buffering_Strategy * | buffering_strategy (void)
| Returns NULL.
## Protected Attributes
TAO_Notify_Timer_Reactor * | timer_
| The timer.

## Detailed Description

A reactive worker task. Simply executes the command in the caller's context.

## Constructor & Destructor Documentation

TAO_Notify_Reactive_Task::TAO_Notify_Reactive_Task | ( | void |  | ) |

| Constuctor.

TAO_Notify_Reactive_Task::~TAO_Notify_Reactive_Task | ( |  | ) |

| Destructor.

## Member Function Documentation

virtual TAO_Notify_Buffering_Strategy* TAO_Notify_Reactive_Task::buffering_strategy | ( | void |  | ) | `[virtual]`

| Returns NULL. Implements TAO_Notify_Worker_Task.

void TAO_Notify_Reactive_Task::execute | ( | TAO_Notify_Method_Request_No_Copy &method_request | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Exec the request. Implements TAO_Notify_Worker_Task.

void TAO_Notify_Reactive_Task::init | ( | TAO_Notify_AdminProperties_var &admin_properties | ACE_ENV_ARG_DECL | ) |

| Init the reactive task.

void TAO_Notify_Reactive_Task::release | ( | void |  | ) | `[virtual]`

| Release. Implements TAO_Notify_Refcountable.

void TAO_Notify_Reactive_Task::shutdown | ( | void |  | ) | `[virtual]`

| Shutdown task. Implements TAO_Notify_Worker_Task.

TAO_Notify_Timer * TAO_Notify_Reactive_Task::timer | ( | void |  | ) | `[virtual]`

| The object used by clients to register timers. This method returns a Reactor based Timer. Implements TAO_Notify_Worker_Task.

## Member Data Documentation

TAO_Notify_Timer_Reactor* TAO_Notify_Reactive_Task::timer_`[protected]`

| The timer.

The documentation for this class was generated from the following files:

- Reactive_Task.h
- Reactive_Task.cpp